image: golang:1.12
stages:
  - Deploy

variables:
  EB_APP_NAME: "DoctorService" # ElasticBeanstalk Application Name
  EB_APP_ENV: "Doctorservice-env" # ElasticBeanstalk Application Environment
  S3_BUCKET: "doctor-service" # S3 bucket for ElasticBeanstalk
  S3_KEY: "server" # S3 folder to upload built app

Dev:
  stage: Deploy
  script:
    - chmod 777 deploy.sh
    - ./deploy.sh
  environment:
    name: Deploy
    url: http://afnops.ap-southeast-2.elasticbeanstalk.com
